summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVladimir Volovich <vvv@vsu.ru>2008-03-26 16:13:09 +0000
committerVladimir Volovich <vvv@vsu.ru>2008-03-26 16:13:09 +0000
commitdf5a68d2ee5f8dc2c8344a5dd71009ba6e221dcf (patch)
tree21f0f7cc53033ae96f2aa4e47d8cc8e89103cfb6
parent83b9d74037930bd0ad6046bdf8b8b82eb7521cb2 (diff)
move the test for "LEX is not found" right after AC_PROG_LEX
git-svn-id: svn://tug.org/texlive/trunk@7167 c570f23f-e606-0410-a88d-b1316a301751
-rwxr-xr-xBuild/source/utils/xindy/configure7
-rw-r--r--Build/source/utils/xindy/configure.ac3
2 files changed, 4 insertions, 6 deletions
diff --git a/Build/source/utils/xindy/configure b/Build/source/utils/xindy/configure
index 43662f48190..5e9e3be3450 100755
--- a/Build/source/utils/xindy/configure
+++ b/Build/source/utils/xindy/configure
@@ -3567,6 +3567,9 @@ fi
rm -f conftest.l $LEX_OUTPUT_ROOT.c
fi
+test "x$LEX" != "x:" || { { echo "$as_me:$LINENO: error: flex or lex is required, but not found" >&5
+echo "$as_me: error: flex or lex is required, but not found" >&2;}
+ { (exit 1); exit 1; }; }
# Find a good install program. We prefer a C program (faster),
# so one script is as good as another. But avoid the broken or
# incompatible versions:
@@ -3678,10 +3681,6 @@ echo "${ECHO_T}no" >&6; }
fi
-test "x$LEX" != "x:" || { { echo "$as_me:$LINENO: error: flex or lex is required, but not found" >&5
-echo "$as_me: error: flex or lex is required, but not found" >&2;}
- { (exit 1); exit 1; }; }
-
# Check whether --enable-make-rules was given.
if test "${enable_make_rules+set}" = set; then
enableval=$enable_make_rules;
diff --git a/Build/source/utils/xindy/configure.ac b/Build/source/utils/xindy/configure.ac
index 6eea52f6e8e..fd02579fc54 100644
--- a/Build/source/utils/xindy/configure.ac
+++ b/Build/source/utils/xindy/configure.ac
@@ -31,11 +31,10 @@ AM_MAINTAINER_MODE
# Checks for programs.
AC_PROG_CC
AC_PROG_LEX
+test "x$LEX" != "x:" || AC_MSG_ERROR([flex or lex is required, but not found])
AC_PROG_INSTALL
AC_PROG_MAKE_SET
-test "x$LEX" != "x:" || AC_MSG_ERROR([flex or lex is required, but not found])
-
dnl test for building make-rules
AC_ARG_ENABLE(make-rules, AS_HELP_STRING([--enable-make-rules],[build and install make-rules package (default is YES)]))
dnl test for building Documentation